Download it now!
Bug 49171 - FORMATTING: Header background color not changed correctly when Same content left/right unset
Summary: FORMATTING: Header background color not changed correctly when Same content l...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Header-Footer
  Show dependency treegraph
 
Reported: 2012-04-26 07:54 UTC by Angelo Locritani
Modified: 2019-05-14 02:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Angelo Locritani 2012-04-26 07:54:07 UTC
With option "Same content left/right" unset in header property window, when changing background color the new color is applied to the odd page only.

This happens even if I open property window of the header right-clicking on a even page.

To reproduce:
open or create a 2 page long document and assign a color to header;
unset the "Same content left/right" option;
change the header background color;
the color is changed on first page only.
Comment 1 Cody 2012-04-28 22:12:37 UTC
LibreOffice 3.5.2.2
Build ID: 281b639-6baa1d3-ef66a77-d866f25-f36d45
Running on Windows 7 Pro, SP1, 64 bit edition

The results were reproducible. If you separate the odd and even headers by unchecking the “Same content left/right” field under the header settings, then you cannot change the background of even paged headers.
Comment 2 Joel Madero 2012-09-17 00:14:29 UTC
Verified, confirming and prioritizing.

LO: Version 3.6.1.2 (Build ID: e29a214)

Minor: Doesn't prevent high quality work but makes it so user has to avoid using certain feature (coloring headers differently header/footer). 

Low: This feature probably doesn't affect man users at all as most users don't want different colors for headers (most users don't even use headers). 

None the less acknowledged that it's annoying and don't misunderstand the priority. This doesn't mean that we won't look at the bug, all it means is that when compared to more serious bugs (crashing, RAM drains, etc...) this bug isn't that serious. Developers take multiple things into consideration when choosing which bugs to address, priority is only one of those :) 

Thanks for reporting.

Just to clarify steps:
open or create a 2 page long document and assign a color to header;
Go to format -> Page -> Header;
unset the "Same content left/right" option;
Click on More... button;
change the header background color;
the color is changed on odd pages only (in this case, only page 1, but if you have more than two pages it will be all odd pages).
Comment 3 QA Administrators 2015-01-05 17:51:32 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-01-22 16:41:39 UTC
Reproduced.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 5 QA Administrators 2016-02-21 08:35:37 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   Test to see if the bug is still present on a currently supported version of LibreOffice 
   (5.0.5 or 5.1.0)  https://www.libreoffice.org/download/

   If the bug is present, please leave a comment that includes the version of LibreOffice and 
   your operating system, and any changes you see in the bug behavior
 
   If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
   a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   Update the version field
   Reply via email (please reply directly on the bug tracker)
   Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
   appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-02-21
Comment 6 QA Administrators 2019-05-14 02:54:33 UTC
Dear Angelo Locritani,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug